Kerbal Space Program - Bug #13084

Gee force contract: kerbals unaffected
10/22/2016 12:47 AM - DozenalSoroban

Status: Closed Start date: 10/22/2016
Severity: Normal % Done: 100%
Assignee:

Category: Gameplay

Target version:

Version: 1.2.0 Language: English (US)
Platform: Windows Mod Related: No
Expansion:

Description

If gee-force black-outs are enabled in the advanced options, then a contract appears to make some space tourists black out.
However, no kerbal is in the slightest bit affected by any gforce, even well above their supposed limit. The %blackout bar remains
empty.

To recreate: open new career, in advanced difficulty options select gee-force blackouts.

Create a craft with pod and srb, empty the srb.

Enable infinite fuel.

Launch, and the g-meter should read over 15gs. Hover over the kerbal's portrait and it will tell you their maximum sustained g, which
is usually between 4-7. There will also be a vertical bar marked 'blackout %' which should fill up and they blackout when it reaches
the top.

When the bug o

ccurs, the kebals are unaffected, and the bar remains empty.
The bug prevents the contract from being possible to complete

Windows x64, 1.2.0.1586
OS: Win 10
Hardware: laptop, i5 quadcore, 12gbram, intel motherboard, nvidea gpu

History

#1 - 10/24/2016 11:29 AM - sal_vager
- File screenshot9.png added

- Status changed from New to Need More Info

Hi DozenalSoroban, can you please try with another Kerbal, Jeb is a badass so is not likely to pas out no matter what you do, and as an example
here's Bob showing that the G force bar does work.

#2 - 10/26/2016 03:57 AM - orcaman98

| can black them out pretty easily by hitting the atmosphere hard. Try launching a pod straight up to a 200-300 km apoapsis, and let it come straight
down. Also check your blackout difficulty settings. If that doesn't work, perhaps running an integrity check of your files.

#3 - 07/25/2019 07:50 PM - chris.fulton
- Status changed from Need More Info to Resolved

- % Done changed from 0 to 100

#4 - 07/25/2019 07:50 PM - chris.fulton

- Status changed from Resolved to Closed
